×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Registered User
    Join Date
    Sep 2007
    Posts
    13

    Authorization Failed, lapi.jar, S60 3rd FP2

    Hello All,

    I believe this matter has been posted before, such as this: http://discussion.forum.nokia.com/fo...ad.php?t=73793, but that one doesn't solve my problem really. Or if there were any other thread that i missed and it happened that this thread has been posted before, i would like to apologize .

    So, i'm trying to install my application that uses JSR179 on s60 4d FP2 simulator. I've checklisted everything here to make sure i've done the correct method:

    1. Application unsigned.. (is there any FREE signing method? >.>)
    2. lapi.jar, the Jsr179 library, is already packaged in the application
    3. Location API permission has been added (the application also connect to the internet and uses remote device through bluetooth, do i have to add permission for them to? i've tried to add permission for both of them.. but the result was the same)

    I appreciate any kind of help. thanks in advance.

  2. #2
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: Authorization Failed, lapi.jar, S60 3rd FP2

    2. The emulator (and devices) already has that API supported. You should not include the JSR-179 library in your MIDlet

    Hartti

  3. #3
    Registered User
    Join Date
    Sep 2007
    Posts
    13

    Re: Authorization Failed, lapi.jar, S60 3rd FP2

    Thanks alot for the answer Sir Hartti ..

    but, sorry if this sound stupid, i can't build my code if i don't bundle lapi.jar on the package :|. I'm using netbeans btw, and the lapi.jar is located at the lib folder on project folder :|

    Thank you once again

  4. #4
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: Authorization Failed, lapi.jar, S60 3rd FP2

    sir???

    Oh boy :-)

    You are using S60 3rd Edition FP2 SDK for building that MIDlet, right. That support Location API so you should be able to build your application without including the Location API jar package in your MIDlet. Have you checked the MIDlet build settings?
    Also which packages are you importing in your MIDlet? (in the code I mean)

    And what comes to 1) in your original post.
    You need to buy a certificate from Verisign of Thawte for signing your MIDlet for real devices

    Hartti

  5. #5
    Registered User
    Join Date
    Sep 2007
    Posts
    13

    Re: Authorization Failed, lapi.jar, S60 3rd FP2

    wow hail o/ sir Hartti

    thanks again for solving my noob problems . I never tried to remove lapi.jar (jsr-179) from the package when building using s60 sdk . Now it works as you suggested . I'm importing javax.microedition.location.location (specifically) to my code. thanks

    and then... buying a certificate from verisign? :s.. is not something that i gonna do (don't have my own money..). But i heard that starting from s60 3rd FP2 (i haven't tried the prev version of SDK), every MIDlet has to be signed?

  6. #6
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: Authorization Failed, lapi.jar, S60 3rd FP2

    But i heard that starting from s60 3rd FP2 (i haven't tried the prev version of SDK), every MIDlet has to be signed?
    That is not true.

    (Disclaimer:
    yes, you will see more confirmation prompts if you do not sign your MIDlet.
    Also some operators - mainly in US - have restricted access to certain APIs on their branded phones so that the developer needs to sign the MIDlet with a operator certificate, but I do not think this is an issue for you)

    Hartti

Similar Threads

  1. MobInfo API on S60 3rd Ed FP2
    By gerdavax in forum Mobile Java General
    Replies: 2
    Last Post: 2008-07-15, 15:51
  2. Ask the Expert: r2j7 on S60 3rd Ed. FP2 on Java
    By Nokia Ron in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2008-04-07, 17:14
  3. Does NMIT work with S60 3rd Ed FP2 SDK?
    By stas_m in forum Digital Rights Management & Content Downloading
    Replies: 0
    Last Post: 2008-04-07, 10:39
  4. S60 3rd MIDP SDK FP2 emulator
    By cryptoalex in forum Mobile Java Tools & SDKs
    Replies: 6
    Last Post: 2007-09-29, 04:32

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×